# KSPSetPC

Sets the preconditioner to be used to calculate the application of the preconditioner on a vector.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPSetPC(KSP ksp,PC pc)

Collective on KSP

### Input Parameters

| ksp | - iterative context obtained from KSPCreate()
| pc | - the preconditioner object

### Notes

Use KSPGetPC() to retrieve the preconditioner context (for example, to free it at the end of the computations).

### Keywords

KSP, set, precondition, Binv

### See Also

KSPGetPC()

Level:developer
Location: src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages